#ifndef __TASK_H
#define	__TASK_H
#include "includes.h"
#include "stm32f2xx.h"
#include "radio.h"
#include "gateway_message.h"
//主要的数据处理线程
#define DATA_TASK_PRIO 8
#define DATA_STK_SIZE  2*1024
#define   GetCurrentTime()  OSTimeGet()
extern void data_task(void *pdata);
extern tRadioDriver *Radio;

void write_modbus_data(char* buf);
void send_mqtt(char*buf);
void find_difference(char* data1, char* data2, char* string);
int read_device_data1(DEVICE_PARAMS *current_device,char* buf);
int read_device_data2(DEVICE_PARAMS *current_device,char* buf);

#endif
